Zabbix Documentation 2.2

2.23.04.04.2 (current)In development:4.4 (devel)Unsupported:1.82.02.43.23.4

User Tools

Site Tools


Sidebar

ru:manual:appendix:compatibility

12 Совместимость версий

Поддерживаемые агенты

С Zabbix 2.2 можно всё еще использовать старые версии агентов начиная с Zabbix 1.0, Zabbix 1.1.x, Zabbix 1.4.x, Zabbix 1.6.x, Zabbix 1.8.x и Zabbix 2.0.x. Никаких изменений конфигурации на стороне агента не потребуется.

Однако, чтобы воспользоваться всеми преимуществами новых и улучшенных элементов данных, улучшенной производительности и уменьшенным использованием памяти, используйте последнюю версию агента 2.2.

Поддерживаемые Zabbix прокси

С Zabbix сервером можно использовать только Zabbix 2.2 прокси. Zabbix 1.6, 1.8 и 2.0 прокси не поддерживаются Zabbix 2.2 сервером.

Zabbix 2.2 прокси можно использовать только с Zabbix 2.2 сервером. Они не будут работать с 2.0 или более старыми версиями Zabbix сервера.

Поддержка распределенного мониторинга в режиме нод

Все ноды распределенного мониторинга должны быть одной и той же версии. Совместная работы 2.0 нод и 2.2 нод не поддерживается.

Поддержка XML файлов

XML файлы, экспортированные в версиях 1.8 и 2.0, поддерживаются при импорте в версию Zabbix 2.2.

В XML формате Zabbix 1.8 при экспорте, зависимости триггеров сортируются только по названию. Если имеется несколько триггеров с одинаковым именем (например, имеющие разные важности и выражения), которые имеют заданную зависимость между собой, то их невозможно импортировать. Такие зависимости должны быть удалены вручную из файла XML и добавлены после импорта.